## net.sf.saxon.value
Class AnyURIValue

    java.lang.Object
      |
      +--net.sf.saxon.value.Value
            |
            +--net.sf.saxon.value.AtomicValue
                  |
                  +--net.sf.saxon.value.AnyURIValue

All Implemented Interfaces:
  Expression, Item, java.io.Serializable

public final class AnyURIValue
extends AtomicValue

A string value

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`AnyURIValue(java.lang.CharSequence value)` Constructor

Method Summary
`AtomicValue` `convert(int requiredType, XPathContext context)` Convert to target data type
`java.lang.Object` `convertToJava(java.lang.Class target, Configuration config, XPathContext context)` Convert to Java object (for passing to external functions)
`boolean` `equals(java.lang.Object other)` Determine if two anyURI values are equal
`ItemType` `getItemType()` Return the type of the expression
`java.lang.String` `getStringValue()` Get the string value as a String
`int` `hashCode()`

Methods inherited from class net.sf.saxon.value.AtomicValue
`convert, display, effectiveBooleanValue, evaluateAsString, evaluateItem, getCardinality, getComponent, getImplementationMethod, getPrimitiveValue, getTypedValue, iterate, process, toString`

Methods inherited from class net.sf.saxon.value.Value
`analyze, asItem, asValue, collapseWhitespace, convertJavaObjectToXPath, getDependencies, getParentExpression, getSpecialProperties, inverse, iterateSubExpressions, normalizeWhitespace, promote, simplify, stringToNumber, trimWhitespace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyURIValue

    public AnyURIValue(java.lang.CharSequence value)

  Constructor

Parameters:
  `value` - the String value. Null is taken as equivalent to "".

Method Detail

### getStringValue

    public java.lang.String getStringValue()

  Get the string value as a String

  Specified by:
    `getStringValue` in interface `Item`
  Specified by:
    `getStringValue` in class `AtomicValue`
  Returns:
    the string value

### convert

    public AtomicValue convert(int requiredType,
                               XPathContext context)
                        throws XPathException

  Convert to target data type

  Specified by:
    `convert` in class `AtomicValue`
  Parameters:
    `requiredType` - integer code representing the item type required
    `context` - the evaluation context. Used primarily for error reporting, since nearly all type conversions are context-independent. The value may be null if the context is not known.
  Returns:
    the result of the conversion
  Throws:
    `XPathException` - if the conversion is not allowed

### getItemType

    public ItemType getItemType()

  Return the type of the expression

  Returns:
    Type.ANY_URI (always)

### equals

    public boolean equals(java.lang.Object other)

  Determine if two anyURI values are equal

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the two values are equal
  Throws:
    `java.lang.ClassCastException` - if the other value is not an AnyURIValue

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### convertToJava

    public java.lang.Object convertToJava(java.lang.Class target,
                                          Configuration config,
                                          XPathContext context)
                                   throws XPathException

  Convert to Java object (for passing to external functions)

  Overrides:
    `convertToJava` in class `AtomicValue`
  Parameters:
    `target` - the Java class to which conversion is required
    `config` - The configuration (needed for access to schema information)
  Returns:
    the result of the conversion
  Throws:
    `XPathException` - if conversion to this target type is not possible